# Q. What is this file?
# A. This file contains options which allow you to configure your multiworld experience while allowing
#    others to play how they want as well.
#
# Q. How do I use it?
# A. The options in this file are weighted. This means the higher number you assign to a value, the
#    more chances you have for that option to be chosen. For example, an option like this:
#
#    map_shuffle:
#      on: 5
#      off: 15
#
#    Means you have 5 chances for map shuffle to occur, and 15 chances for map shuffle to be turned
#    off.
#
# Q. I've never seen a file like this before. What characters am I allowed to use?
# A. This is a .yaml file. You are allowed to use most characters.
#    To test if your yaml is valid or not, you can use this website:
#        http://www.yamllint.com/
#    You can also verify that your Archipelago options are valid at this site:
#        https://archipelago.gg/check

# Your name in-game, limited to 16 characters.
#     {player} will be replaced with the player's slot number.
#     {PLAYER} will be replaced with the player's slot number, if that slot number is greater than 1.
#     {number} will be replaced with the counter value of the name.
#     {NUMBER} will be replaced with the counter value of the name, if the counter value is greater than 1.
name: Player{number}

# Used to describe your yaml. Useful if you have multiple files.
description: Default Tevi Template

game: Tevi
requires:
  version: 0.6.6 # Version of Archipelago required for this yaml to work as expected.
  game:
    Tevi: 0.6.4 # Version of the world required for this yaml to work as expected.

Tevi:
  ################
  # Game Options #
  ################
  progression_balancing:
    # A system that can move progression earlier, to try and prevent the player from getting stuck and bored early.
    # 
    # A lower setting means more getting stuck. A higher setting means less getting stuck.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 99
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-99: 0 # random value between 0 and 99
    disabled: 0 # equivalent to 0
    normal: 50 # equivalent to 50
    extreme: 0 # equivalent to 99

  accessibility:
    # Set rules for reachability of your items/locations.
    # 
    # **Full:** ensure everything can be reached and acquired.
    # 
    # **Minimal:** ensure what is needed to reach your goal can be acquired.
    full: 50
    minimal: 0

  traverse_Mode:
    # Choose how you want to Traverse the World
    # Normal: no changes to the game
    # Random Transition: Map transition like Morose -> Forest are randomized
    # Random Teleporter: No Map transition and only through Teleport possible
    normal: 50
    random_transition: 0
    random_teleporter: 0

  open_morose:
    # Gain access to Morose without Crossbomb or Clusterbomb
    'false': 50
    'true': 0

  randomize_knife:
    # If set to false, you receive the Knife as Starting Item
    'false': 50
    'true': 0

  randomize_orb:
    # If set to false, you receive the Orb as Starting item
    'false': 50
    'true': 0

  randomize_item_upgrade:
    # If set to true, all Item upgrades in the Crafting Menu have random new Item
    # and the Item upgrades are in a different Location i.e. on the overworld.
    'false': 50
    'true': 0

  chaos_mode:
    # Item Chaos rerolls every non Progressive Item into a new Item.
    # The new Item can be any type of Item as long as it can be stacked,
    # this include even Item like High Jump.
    'false': 50
    'true': 0

  celia_sable:
    # If this flag is true, Celia and Sable are already unlocked
    # Also enables ChargeShot with only level 1 Orbitar
    'false': 50
    'true': 0

  free_attack_up:
    # Start the Game with X amount of Atk Ups
    # 
    # This is usefull to kill Bosses faster
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 220
    0: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-220: 0 # random value between 0 and 220

  goal_type:
    # Determines the requirement type to fight the Final Boss
    astralgear: 50
    killbosses: 0

  gear_count:
    # The Amount of Gears found in the Game
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 25
    20: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-1-25: 0 # random value between 1 and 25

  goal_count:
    # The Amount of Gears required to Finish the Game
    # If this Number is greater than Gear count,
    # it is reduced to the Number of Gear count
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 25
    16: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-1-25: 0 # random value between 1 and 25

  walljumpTricks:
    # Using Items to manipulate Movementspeed,
    # for the Rabbit variants 200% Item use speed is required
    disabled: 50
    anyitem: 0
    rabbitjump: 0
    rabbitwalljump: 0

  backflip:
    # Backflip enables a early mini double jump
    'false': 50
    'true': 0

  cKick:
    # Use a dropkick against a ceiling to reverse movement Direction
    'false': 50
    'true': 0

  hiddenP:
    # Consider Hidden Paths in Free Roam for the logic
    'false': 50
    'true': 0

  earlydream:
    # Skip Dreamkeeper wind with Dropkicks and Strong Air Up
    'false': 50
    'true': 0

  barrierSkip:
    # Skip Cutscene Barriers with Airdash (easy) or Slide (hard) and requires 60 fps lock
    disable: 50
    easy: 0
    hard: 0

  adcKick:
    # Enter Gallery of Souls with a a precise Airdash into Walljump from Ceiling pixel 
    # (very hard)
    'false': 50
    'true': 0

  superBosses:
    # Consider Tevi's Hidden Bosses in Library for the Logic
    'false': 50
    'true': 0

  excludeMemine:
    # No progression items in Memine races
    'false': 50
    'true': 0

  excludeCrafting:
    # No progression items in Crafting
    'false': 50
    'true': 0

  excludeShop:
    # No progression items in Shops
    'false': 50
    'true': 0

  excludeUpgradeCraft:
    # No progression items in Item upgrades crafts
    'false': 50
    'true': 0

  alphaFeature1:
    # Enables a Pre-released Feature, the contents can change at any time.
    # Currently adds all Manaite shards for Tracking only
    'false': 50
    'true': 0

  ###########################
  # Item & Location Options #
  ###########################
  local_items:
    # Forces these items to be in their native world.
    []

  non_local_items:
    # Forces these items to be outside their native world.
    []

  start_inventory:
    # Start with the specified amount of these items. Example: "Bomb: 1"
    {}

  start_hints:
    # Start with these item's locations prefilled into the ``!hint`` command.
    []

  start_location_hints:
    # Start with these locations and their item prefilled into the ``!hint`` command.
    []

  exclude_locations:
    # Prevent these locations from having an important item.
    []

  priority_locations:
    # Prevent these locations from having an unimportant item.
    []

  item_links:
    # Share part of your item pool with other players.
    []

  plando_items:
    # Generic items plando.
    []
